Get accepted columns, types, version and an example JSON request
curl --request GET \
--url https://app.azalt.co/api/v1/source-adapters/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.azalt.co/api/v1/source-adapters/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.azalt.co/api/v1/source-adapters/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"isActive": true,
"apiReady": true,
"adapterVersion": "<string>",
"inputContract": {
"enabled": false,
"context": {},
"sheets": [
{
"name": "<string>",
"required": true,
"additionalColumns": false,
"fields": [
{
"name": "<string>",
"type": "string",
"required": false,
"nullable": false,
"description": "<string>",
"example": "<string>"
}
]
}
]
},
"exampleRequest": {},
"limits": {
"bytes": 123,
"rows": 123,
"sheets": 123,
"columns": 123,
"cellLength": 123
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Source imports
Get accepted columns, types, version and an example JSON request
GET
/
source-adapters
/
{id}
Get accepted columns, types, version and an example JSON request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 200Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

